If you author a package or add-in for VS, we encourage you to download the VS 2005 SP1 Beta in order to determine if there are any modfications to your package or add-in that need to be done in order to be compatible.  It is very likely that there is nothing you need to do to support SP1, but if I were you I wouldn't leave it to a user to discover a lurking problem.

Here's a link to the Beta announcement.